Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228301 - Review Request: python-nevow - Web application construction kit written in Python
Summary: Review Request: python-nevow - Web application construction kit written in Py...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 233598
TreeView+ depends on / blocked
 
Reported: 2007-02-12 16:13 UTC by Matthias Saou
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-20 10:53:11 UTC
lxtnow: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Saou 2007-02-12 16:13:49 UTC
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/python-nevow/
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/python-nevow/
Description:
Nevow (pronounced as the French "nouveau", or "noo-voh") is a web application
construction kit written in Python. It is designed to allow the programmer to
express as much of the view logic as desired in Python.

Comment 1 Xavier Lamien 2007-04-06 02:14:20 UTC
Well,

OK - Mock Build on FC-6 and FC-Devel (i386)
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License is MIT
OK - License text is included in package.
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
4c744ea416b36dc9067b67e18c5707b5  Nevow-0.9.0.tar.gz
OK - Package has correct buildroot.
OK - BuildRequires isn't redundant.

?? - %prep stage SHOULD be quiet by setting -q option.

OK - %build and %install stages is correct and work.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package is code or permissible content.
OK - %doc files don't affect runtime.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Changelog section is correct.

--------------------------------------
 - rpmlint output isn't silent:
-------------------------------------
* From .rpm file:

W: python-nevow wrong-file-end-of-line-encoding
/usr/share/doc/python-nevow-0.9.0/examples/blogengine/styles/typo.css
W: python-nevow wrong-file-end-of-line-encoding
/usr/share/doc/python-nevow-0.9.0/examples/blogengine/styles/form.css
E: python-nevow zero-length
/usr/lib/python2.4/site-packages/nevow/test/test_package/Foo/Baz/Quux.js
E: python-nevow non-executable-script
/usr/lib/python2.4/site-packages/nevow/test/test_object.js 0644
W: python-nevow wrong-file-end-of-line-encoding
/usr/share/doc/python-nevow-0.9.0/examples/postit/styles/typo.css
W: python-nevow wrong-file-end-of-line-encoding
/usr/share/doc/python-nevow-0.9.0/examples/postit/postit.html
E: python-nevow zero-length
/usr/lib/python2.4/site-packages/nevow/test/test_package/Foo/Bar.js
W: python-nevow wrong-file-end-of-line-encoding
/usr/share/doc/python-nevow-0.9.0/examples/postit/atom.xml
W: python-nevow wrong-file-end-of-line-encoding
/usr/share/doc/python-nevow-0.9.0/examples/postit/styles/postit.css
E: python-nevow zero-length /usr/lib/python2.4/site-packages/nevow/empty.js
W: python-nevow wrong-file-end-of-line-encoding
/usr/share/doc/python-nevow-0.9.0/examples/blogengine/atom.xml
W: python-nevow wrong-file-end-of-line-encoding
/usr/share/doc/python-nevow-0.9.0/examples/blogengine/styles/site.css
W: python-nevow doc-file-dependency
/usr/share/doc/python-nevow-0.9.0/examples/i18n/update-l10n /bin/sh

* From .srpm file :

E: python-nevow unknown-key GPG#e42d547b
W: python-nevow setup-not-quiet

SHOULD be fix



Comment 2 Matthias Saou 2007-04-10 11:52:51 UTC
You seem to have reviewed the 0.9.0 package, while a 0.9.18-1 package has been
available for weeks now...
I'll fix the EOL encoding issues, but the empty js files will certainly stay...
those are just examples after all.

Comment 3 Matthias Saou 2007-04-10 12:08:57 UTC
http://ftp.es6.freshrpms.net/tmp/extras/python-nevow/python-nevow-0.9.18-2.src.rpm

* Tue Apr 10 2007 Matthias Saou <http://freshrpms.net/> 0.9.18-2
- Fix some end-of-line encodings and executable bits in the docs.

* Fri Mar 23 2007 Matthias Saou <http://freshrpms.net/> 0.9.18-1
- Update to 0.9.18.

Comment 4 Xavier Lamien 2007-04-11 00:24:21 UTC
Sorry for the late,

<in reply to comment #2>
indeed, i will check it out ;-)

Comment 5 Matthias Saou 2007-04-16 11:33:48 UTC
Ping? Please review the 0.9.18 packages ASAP, thanks.

Comment 6 Xavier Lamien 2007-04-17 14:37:10 UTC
(In reply to comment #5)
> Ping? Please review the 0.9.18 packages ASAP, thanks.

checked out.

sorry for the late.

the updated srpm is silent, but not the rpm, it seems still have wrong-line-ending.

you can fix these with sed ;-)

Comment 7 Xavier Lamien 2007-04-17 14:40:36 UTC
> I'll fix the EOL encoding issues, but the empty js files will certainly stay...
> those are just examples after all.

yep, this error can be ignored from rpmlint.

Comment 8 Matthias Saou 2007-04-18 09:50:11 UTC
I'm not seeing any more EOL encoding issues. Are you sure you reviewed the
0.9.18-2 package and not the 0.9.18-1 one? Could you copy/paste your rpmlint
output so that I know for which files it is? All I get is this :

E: python-nevow zero-length
/usr/lib/python2.4/site-packages/nevow/test/test_package/Foo/Baz/Quux.js
E: python-nevow zero-length
/usr/lib/python2.4/site-packages/nevow/test/test_package/Foo/Bar.js

Which are both harmless, and removing those files could only mean breaking some
tests.

Comment 9 Xavier Lamien 2007-04-18 11:59:25 UTC
Sorry, my rpmlint was broken, it gave me the same errors on both packages.
Things fixed now.

----------

OK - rpmlint is silent from SRPM file.
OK - rpmlint from RPM file:

E: python-nevow zero-length
/usr/lib/python2.4/site-packages/nevow/test/test_package/Foo/Baz/Quux.js
E: python-nevow zero-length
/usr/lib/python2.4/site-packages/nevow/test/test_package/Foo/Bar.js

These are not a blocker and can be ignored.

-----------
APPROUVED
-----------

Comment 10 Matthias Saou 2007-04-18 12:42:26 UTC
New Package CVS Request
=======================
Package Name: python-nevow
Short Description: Web application construction kit written in Python
Owners: matthias@rpmforge.net
Branches: devel FC-6 FC-5 EL-5 EL-4
InitialCC: 


Note You need to log in before you can comment on or make changes to this bug.